<?php
/*	alkis_conf.php
	ALKIS-Buchauskunft, Kommunales Rechenzentrum Minden-Ravensberg/Lippe (Lemgo).
	Zentrale Einstellungen - Muster
*/

//	Default Bundesland-Schlüssel, falls dieser bei Anfragen ausgelassen wird
	$defland='05'; // NRW

//	Datenbank-Zugangsdaten
	$dbport = '5432';
	$dbuser = 'mbxx';
	$dbpass = 'xxxx';
	$dbpre  = 'alkis0'; // Prefix des DB-Namens, GKZ anhängen
	$dbsuf  = '';       // Suffix des DB-Namens, Anhang (_neu)

//	im Normalfall  ...
	$dbgkz = $gkz;				// Default: eine Datenbank je Mandant, alternativ je Kreis
	$dbhost = '10.0.xxx.xxx';	// Datenbank-Server

	// Gebiets-Filter
	$filtland=$defland;			// ax_gemeinde.land
	$filtrgb='7';				// ax_gemeinde.regierungsbezirk
	$filtkreis='';				// ax_gemeinde.kreis
	$filtgem = '';				// ax_gemeinde.gemeinde

	switch ($gkz) {	// lokale und temporäre Besonderheiten je Mandant

		// Kreisgebiet xxx
		case "070": 
			$filtkreis='66';
			$filtgem = '048';
			break;
		case "120":
			$filtkreis='66';
			$filtgem = '016';
			break;

		// Kreisgebiet xxx
		case "210":
			$filtkreis='58';
			$filtgem = '004';
			break;
		case "240":
			$filtkreis='58';
			$filtgem = '016';
			break;
	}

//	Authentifizierung (function "darf_ich()" in "alkisfkt.php")
//	$auth="mapbender";		// aktuell
//	$auth="qwc2";
	$auth="";				// Prüfung deaktiviert
	$mb_guest_user='gast';	// ausschließen, wie "nicht angemeldet"

//	Bei Verlinkung auf das gleiche Modul (mit anderen Parametern) den Pfad entfernen?
//	0 = Normaler Webserver. Die Systemvariablen zeigen den korrekten Pfad.
//	1 = Umleitung über API-Gateway QWC2. Den Pfad entfernen bei Verlinkung weil Systemvariable $_SERVER['PHP_SELF'] nicht korrekt ist.
	$pfadlos_selbstlink = 0;

//	Link für Hilfe
	$hilfeurl = 'http://mapserver.krz.de/?Karten/ALKIS/ALKIS-Auskunft';

//	Entwicklungsumgebung
	$debug = 1; // 0=Produktion 1=mit Fehlermeldungen, 2=mit Informationen, 3=mit SQL

//	Den Datenbank-Connection-String aus den oben konfigurierten Parametern bilden
	$dbconn = "host=".$dbhost." port=" .$dbport." dbname=".$dbpre.$dbgkz.$dbsuf." user=".$dbuser." password=".$dbpass;

//	Je Modul noch individuell anhängen: " options='--application_name=ALKIS-Auskunft_programmname.php'"
//	In postgresql.conf:
//		log_line_prefix = '%t [%a-%h] %q%u@%d '
//	wobei %a = Application

?>